<?php
/**
 * @package     PHP-Bridge
 * @subpackage  com_phpbridge
 *
 * @copyright   Copyright (C) 2017 Henry Schorradt, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die;

/**
 * HTML View class for the PhpBridge Component
 */
class PhpBridgeViewPhpView extends JViewLegacy
{
    protected $html;

    // Overwriting JView display method
    public function display($tpl = null)
    {

        $this->app		= JFactory::getApplication();
        $this->document = JFactory::getDocument();
        $this->params		= $this->app->getParams('com_phpbridge');

        $dispatcher = JEventDispatcher::getInstance();

        // Assign data to the view



        $this->layout		= $this->getLayout();
        $this->print = $this->app->input->getBool('print');

        $global_css = htmlspecialchars($this->params->get('pb_css',''));
        $global_js = htmlspecialchars($this->params->get('pb_js',''));

        if(trim($global_css) != ''){
            $this->document->addStyleSheet(JURI::root( true ).'/templates/'.$this->app->getTemplate().'/css/' . $global_css);
        }
        if(trim($global_js) != ''){
            $this->document->addScript(JURI::root( true ).'/templates/'.$this->app->getTemplate().'/js/' . $global_js);
        }



        $menus   = $this->app->getMenu();
        $menu = $menus->getActive();

        if ($menu)
        {
            $this->params->def('page_heading', $this->params->get('page_title', $menu->title));
        }

        $title = $this->params->get('page_title', '');
        $css = $this->params->get('c_css', '');
        $js = $this->params->get('c_js', '');


        // Check for empty title and add site name if param is set
        if (empty($title))
        {
            $title = $this->app->get('sitename');
        }
        elseif ($this->app->get('sitename_pagetitles', 0) == 1)
        {
            $title = JText::sprintf('JPAGETITLE', $this->app->get('sitename'), $title);
        }
        elseif ($this->app->get('sitename_pagetitles', 0) == 2)
        {
            $title = JText::sprintf('JPAGETITLE', $title, $this->app->get('sitename'));
        }
        $this->document->setTitle($title);

        if ($this->params->get('menu-meta_description'))
        {
            $this->document->setDescription($this->params->get('menu-meta_description'));
        }

        if ($this->params->get('menu-meta_keywords'))
        {
            $this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
        }

        if ($this->params->get('robots'))
        {
            $this->document->setMetadata('robots', $this->params->get('robots'));
        }

        if ($this->print)
        {
            $this->document->setMetaData('robots', 'noindex, nofollow');
        }


        if(trim($css) != ''){
            $this->document->addStyleSheet(JURI::root( true ).'/templates/'.$this->app->getTemplate().'/css/' . $css);
        }
        if(trim($js) != ''){
            $this->document->addScript(JURI::root( true ).'/templates/'.$this->app->getTemplate().'/js/' . $js);
        }

        $this->pageclass_sfx = htmlspecialchars($this->params->get('pageclass_sfx'));

        $this->html        = $this->get('Html');


//        // Check for errors.
//        if (count($errors = $this->get('Errors')))
//        {
//            JFactory::getApplication()->enqueueMessage(implode("\n", $errors), 'error');
//            return false;
//        }


        parent::display($tpl);
    }
}

